Bug 1079330 - /usr/sbin/grub2-check-default error since last update to 20180202
/usr/sbin/grub2-check-default error since last update to 20180202
Status: RESOLVED FIXED
: 1081443 1081949 (view as bug list)
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Bootloader
Current
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: Michael Chang
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-05 11:00 UTC by David Kerkhof
Modified: 2021-09-23 18:39 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Kerkhof 2018-02-05 11:00:56 UTC
After the update to 20180202 grub2 fails. Running from command line I get:
/usr/sbin/grub2-check-default: line 112: [: =: unary operator expected

After adding double quotes to the variables in line 112 in the mentioned file grub.cfg is built successfully.
Comment 1 Michael Chang 2018-02-07 07:17:04 UTC
Hi David.

Thanks a lot for your report. I fixed that in the SR.

  https://build.opensuse.org/request/show/573265

Change to fixed.
Comment 2 Michael Chang 2018-02-21 07:30:37 UTC
*** Bug 1081443 has been marked as a duplicate of this bug. ***
Comment 4 Michael Chang 2018-02-26 09:18:58 UTC
*** Bug 1081949 has been marked as a duplicate of this bug. ***
Comment 5 Swamp Workflow Management 2018-03-06 17:12:16 UTC
SUSE-RU-2018:0613-1: An update that has three recommended fixes can now be installed.

Category: recommended (low)
Bug References: 1065349,1071239,1079330
CVE References: 
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    grub2-2.02-4.14.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    grub2-2.02-4.14.1
SUSE CaaS Platform ALL (src):    grub2-2.02-4.14.1
Comment 6 Swamp Workflow Management 2018-03-07 11:11:02 UTC
openSUSE-RU-2018:0627-1: An update that has three recommended fixes can now be installed.

Category: recommended (low)
Bug References: 1065349,1071239,1079330
CVE References: 
Sources used:
openSUSE Leap 42.3 (src):    grub2-2.02-7.1
Comment 8 Swamp Workflow Management 2018-11-13 23:12:21 UTC
SUSE-RU-2018:3761-1: An update that has 6 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1071559,1078775,1079330,1082914,1086670,1093145
CVE References: 
Sources used:
SUSE OpenStack Cloud 7 (src):    grub2-2.02~beta2-115.31.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    grub2-2.02~beta2-115.31.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    grub2-2.02~beta2-115.31.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    grub2-2.02~beta2-115.31.1
SUSE Enterprise Storage 4 (src):    grub2-2.02~beta2-115.31.1
OpenStack Cloud Magnum Orchestration 7 (src):    grub2-2.02~beta2-115.31.1